require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))


Pod::Spec.new do |s|
  s.name         = 'react-native-zego-zim'
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
                  react-native-zego-zim
                   DESC
  s.homepage     = 'https://zego.im'
  s.license      = 'MIT'
  # s.license      = { :type => "MIT", :file => "FILE_LICENSE" }
  s.author             = { 'zego.im' => 'developer@zego.im' }
  s.platforms    = { :ios => '9.0' }
  s.source       = { :path => '.' }
  s.source_files  = 'ios/**/*.{h,c,m,mm,swift}'
  s.requires_arc = true


  s.dependency 'React'
  # s.vendored_frameworks = 'ios/libs/ZIM.xcframework'
  s.dependency 'ZIM-Private', '2.20.6.3283'

end
